/*
 *   stunnel       Universal SSL tunnel
 *   Copyright (c) 1998-1999 Michal Trojnara <Michal.Trojnara@centertel.pl>
 *                 All Rights Reserved
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "stunnel.h"
#include "log.h"
#include <stdlib.h>

#define DEBUG

char *smalloc(int size)
{
    char *retval;

    retval=malloc(size);
#ifdef DEBUG
    if(retval)
        log(LOG_DEBUG, "%d bytes allocated at %p", size, retval);
    else
        log(LOG_ERR, "Failed to allocate %d bytes", size);
#endif
    return retval;
}

char *srealloc(void *ptr, int size)
{
    char *retval;

    retval=realloc(ptr, size);
#ifdef DEBUG
    if(retval)
        log(LOG_DEBUG, "%d bytes from %p reallocated at %p", size, ptr, retval);
    else
        log(LOG_ERR, "Failed to reallocate %d bytes from %p", size, ptr);
#endif
    return retval;
}

void sfree(void *ptr)
{
    free(ptr);
#ifdef DEBUG
    log(LOG_DEBUG, "Memory at %p deallocated", ptr);
#endif
}

